ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

Debugger

Synopsis

- pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()
- showTerm :: GhcMonad m => Term -> m SDoc
- pprTypeAndContents :: GhcMonad m => Id -> m SDoc

# Documentation

pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()

The :print & friends commands

showTerm :: GhcMonad m => Term -> m SDoc

pprTypeAndContents :: GhcMonad m => Id -> m SDoc